## virtualenvwrapper 4.1.1

=== Makefile ===
# Default target is to show help
help:
	@echo "sdist          - Source distribution"
	@echo "html           - HTML documentation"
	@echo "docclean       - Remove documentation build files"
	@echo "upload         - upload a new release to PyPI"
	@echo "develop        - install development version"
	@echo "test           - run the test suite"
	@echo "test-quick     - run the test suite for bash and one version of Python ($(PYTHON26))"

.PHONY: sdist
sdist: html
	rm -f dist/*.gz
	rm -rf docs/website
	python setup.py sdist
	cp -v dist/*.gz ~/Desktop

# Documentation
.PHONY: html
html:
	(cd docs && $(MAKE) html)

.PHONY: docclean
docclean:
	rm -rf docs/build docs/html

# Register the new version on pypi
.PHONY: register
register:
	echo "USE upload target"
	exit 1
	python setup.py register

.PHONY: upload
upload:
	python setup.py sdist upload

# Testing
test:
	tox

test-quick:
	tox -e py27

develop:
	python setup.py develop

## virtualenvwrapper 2.2.1

=== debian/changelog ===
virtualenvwrapper (2.2.1-1) unstable; urgency=low

  * New upstream version.
  * remove unnecessary dversionmangle from debian/watch
  * refresh debian/patches/debianspecific-setup.py.patch

 -- Jan Dittberner <jandd@debian.org>  Wed, 23 Jun 2010 21:03:18 +0200

virtualenvwrapper (2.2-1) unstable; urgency=low

  * New upstream version.
  * refresh debian/patches/debianspecific-setup.py.patch

 -- Jan Dittberner <jandd@debian.org>  Sat, 29 May 2010 15:13:26 +0200

virtualenvwrapper (2.1.1-1) unstable; urgency=low

  * New upstream version.
  * refresh debian/patches/debianspecific-setup.py.patch
  * fix documentation source paths in debian/rules

 -- Jan Dittberner <jandd@debian.org>  Fri, 30 Apr 2010 21:37:05 +0200

virtualenvwrapper (2.1-1) unstable; urgency=low

  * New upstream version.
  * refresh debian/patches/debianspecific-setup.py.patch
  * add README.txt as document in debian/virtualenvwrapper.docs

 -- Jan Dittberner <jandd@debian.org>  Tue, 20 Apr 2010 20:29:16 +0200

virtualenvwrapper (2.0.2-1) unstable; urgency=low

  * New upstream version.
  * remove debian/README.source and get-orig-source target from
    debian/rules because upstream does not bundle sourceless paver-
    minilib.zip anymore
  * modify paths for docs and the script itself in debian/rules to
    new upstream directory structure
  * add python-support and python-setuptools to Build-Depends-Indep and
    add ${python:Depends} to Depends to include upstream's new plugin
    system
  * remove debian/virtualenvwrapper.docs because README is not included
    anymore
  * add debian/patches/debianspecific-setup.py.patch and
    debian/patches/series to adapt to Debian's use of setuptools

 -- Jan Dittberner <jandd@debian.org>  Fri, 09 Apr 2010 15:00:34 +0200

virtualenvwrapper (1.27+dfsg1-1) unstable; urgency=low

  * New upstream version

 -- Jan Dittberner <jandd@debian.org>  Sun, 04 Apr 2010 15:01:57 +0200

virtualenvwrapper (1.26+dfsg1-1) unstable; urgency=low

  * New upstream version (Closes: #574586)
  * remove README.html from debian/virtualenvwrapper.docs it has been
    removed upstream
  * switch to source format 3.0 (quilt)

 -- Jan Dittberner <jandd@debian.org>  Sat, 27 Mar 2010 21:43:41 +0100

virtualenvwrapper (1.24.2+dfsg1-1) unstable; urgency=low

  * Initial release. (Closes: #570644)

 -- Jan Dittberner <jandd@debian.org>  Wed, 24 Feb 2010 22:11:28 +0100

=== debian/control ===
Source: virtualenvwrapper
Section: python
Priority: optional
Maintainer: Jan Dittberner <jandd@debian.org>
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: python (>= 2.5.4-1~), python-sphinx (>= 0.6.1),
 python-support (>= 0.6.4), python-setuptools (>= 0.6b3)
Standards-Version: 3.8.4
Homepage: http://www.doughellmann.com/projects/virtualenvwrapper/
Vcs-Git: git://git.debian.org/collab-maint/virtualenvwrapper.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/virtualenvwrapper.git

Package: virtualenvwrapper
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-virtualenv,
 bash-completion, libjs-jquery
Description: extension to virtualenv for managing multiple virtual Python environments
 virtualenvwrapper is a set of extensions to Ian Bicking's virtualenv
 tool. The extensions include wrappers for creating and deleting
 virtual environments and otherwise managing your development
 workflow, making it easier to work on more than one project at a time
 without introducing conflicts in their dependencies.

## virtualenvwrapper 2.2.2

=== debian/changelog ===
virtualenvwrapper (2.2.2-2) unstable; urgency=low

  * add debian/README.Debian to document how virtualenvwrapper is integrated
    with bash-completion
  * add README.Debian to debian/virtualenvwrapper.docs

 -- Jan Dittberner <jandd@debian.org>  Thu, 08 Jul 2010 18:59:54 +0200

virtualenvwrapper (2.2.2-1) unstable; urgency=low

  * New upstream version.
  * refresh debian/patches/debianspecific-setup.py.patch
  * debian/control: bump Standards-Version to 3.9.0 (no changes needed)

 -- Jan Dittberner <jandd@debian.org>  Wed, 30 Jun 2010 16:10:31 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 7.0.50)
 Build-Depends-Indep: python (>= 2.5.4-1~), python-sphinx (>= 0.6.1),
  python-support (>= 0.6.4), python-setuptools (>= 0.6b3)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Homepage: http://www.doughellmann.com/projects/virtualenvwrapper/
 Vcs-Git: git://git.debian.org/collab-maint/virtualenvwrapper.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/virtualenvwrapper.git

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_clean:
	rm -rf build
	find -name '._*' -delete

override_dh_auto_install:
	for lang in en es; do \
		cp -R $(shell find docs/$$lang/ -name '*.rst' -printf "%p ") \
		  debian/virtualenvwrapper/usr/share/doc/virtualenvwrapper/$$lang/ ; \
		sphinx-build -b html -a -E -N -C -A project=virtualenvwrapper -D master_doc=index \
		   debian/virtualenvwrapper/usr/share/doc/virtualenvwrapper/$$lang \
		   debian/virtualenvwrapper/usr/share/doc/virtualenvwrapper/$$lang/html ; \
		rm -rf \
		  debian/virtualenvwrapper/usr/share/doc/virtualenvwrapper/$$lang/html/.doctrees \
		  debian/virtualenvwrapper/usr/share/doc/virtualenvwrapper/$$lang/html/_sources \
		  debian/virtualenvwrapper/usr/share/doc/virtualenvwrapper/$$lang/html/_static/jquery.js ; \
		dh_link /usr/share/javascript/jquery.js \
		  /usr/share/doc/virtualenvwrapper/$$lang/html/_static/jquery.js ; \
	done
	cp virtualenvwrapper.sh debian/virtualenvwrapper/etc/bash_completion.d/virtualenvwrapper
	chmod 0644 debian/virtualenvwrapper/etc/bash_completion.d/virtualenvwrapper
	dh_auto_install

override_dh_compress:
	dh_compress -i -X.rst -X.js -X.html

override_dh_installchangelogs:
	dh_installchangelogs docs/en/history.rst

%:
	dh $@

=== debian/watch ===
version=3
http://www.doughellmann.com/projects/virtualenvwrapper/ \
 /downloads/virtualenvwrapper-([\d.]+).tar.gz

## virtualenvwrapper 2.7.1

=== debian/changelog ===
virtualenvwrapper (2.7.1-1) unstable; urgency=low

  * New upstream version.
  * refresh debian/patches/debianspecific-setup.py.patch
  * debian/control: Bump Standards-Version to 3.9.2

 -- Jan Dittberner <jandd@debian.org>  Sat, 30 Apr 2011 23:24:40 +0200

virtualenvwrapper (2.6.3-1) unstable; urgency=low

  * New upstream version.
  * change debian/watch to look at PyPI
  * refresh debian/patches/debianspecific-setup.py.patch

 -- Jan Dittberner <jandd@debian.org>  Thu, 03 Mar 2011 22:06:55 +0100

virtualenvwrapper (2.6.1-2) unstable; urgency=low

  * upload to unstable

 -- Jan Dittberner <jandd@debian.org>  Sun, 06 Feb 2011 15:28:17 +0100

virtualenvwrapper (2.6.1-1) experimental; urgency=low

  * New upstream version.
  * refresh debian/patches/debianspecific-setup.py.patch

 -- Jan Dittberner <jandd@debian.org>  Tue, 28 Dec 2010 10:47:36 +0100

virtualenvwrapper (2.6-1) experimental; urgency=low

  * New upstream version.
  * refresh debian/patches/debianspecific-setup.py.patch

 -- Jan Dittberner <jandd@debian.org>  Mon, 27 Dec 2010 15:45:59 +0100

virtualenvwrapper (2.5.2-1) experimental; urgency=low

  * New upstream version.
  * refresh debian/patches/debianspecific-setup.py.patch

 -- Jan Dittberner <jandd@debian.org>  Thu, 23 Sep 2010 19:34:15 +0200

virtualenvwrapper (2.5.1-1) experimental; urgency=low

  * New upstream version.
  * refresh debian/patches/debianspecific-setup.py.patch

 -- Jan Dittberner <jandd@debian.org>  Tue, 14 Sep 2010 16:18:06 +0200

virtualenvwrapper (2.4-1) experimental; urgency=low

  * New upstream version.
  * refresh debian/patches/debianspecific-setup.py.patch

 -- Jan Dittberner <jandd@debian.org>  Thu, 02 Sep 2010 09:42:18 +0200

virtualenvwrapper (2.3-1) experimental; urgency=low

  * New upstream version.
  * refresh debian/patches/debianspecific-setup.py.patch
  * debian/control: bump Standards-Version to 3.9.1 (no changes needed)

 -- Jan Dittberner <jandd@debian.org>  Mon, 16 Aug 2010 17:40:29 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 7.0.50)
 Build-Depends-Indep: python (>= 2.5.4-1~), python-sphinx (>= 0.6.1),
  python-support (>= 0.6.4), python-setuptools (>= 0.6b3)
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Homepage: http://www.doughellmann.com/projects/virtualenvwrapper/
 Vcs-Git: git://git.debian.org/collab-maint/virtualenvwrapper.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/virtualenvwrapper.git

## virtualenvwrapper 2.8

=== debian/changelog ===
virtualenvwrapper (2.8-1) unstable; urgency=low

  * New upstream version.
  * refresh debian/patches/debianspecific-setup.py.patch
  * debian/control: get rid of Build-Depends-Indep
  * switch to dh_python2 and dh_sphinxdoc
    - debian/control:
       - remove Build-Depends python-support
       - bump Build-Depends python to 2.6.6-3~
       - bump Build-Depends python-spinx to 1.0.7+dfsg-1~
       - add ${sphinxdoc:Depends} and libjs-sphinxdoc to Depends
       - remove libjs-jquery from Depends
    - debian/rules:
       - add --with python2,sphinxdoc in debian/rules
       - don't dh_link jquery.js
       - don't remove _sources, .doctrees and jquery.js manually
  * add japanese sphinx documentation
    - debian/rules: add ja to lang for loop
    - add debian/virtualenvwrapper.doc-base.ja
    - add /usr/share/doc/virtualenvwrapper/ja to debian/virtualenvwrapper.dirs
  * debian/rules:
    - replace copies of sphinx's _static directory in ja and es with symlinks
      to en
    - simplify sphinx build and set language
  * use upstream sphinx configuration and remove bitbucket usage via
    debian/patches/remove_bitbucket_support.patch
  * don't compress .txt files, to enable sphinx doc search

 -- Jan Dittberner <jandd@debian.org>  Sun, 14 Aug 2011 19:54:16 +0200

## virtualenvwrapper 2.11.1

=== debian/changelog ===
virtualenvwrapper (2.11.1-2) unstable; urgency=low

  * (Closes: #651359: virtualenvwrapper: FTBFS with Sphinx 1.1.2: unknown
    JavaScript code!!) thanks for the patch by Jakub Wilk
    - debian/rules override dh_sphinxdoc invocation
    - debian/control drop dependency on libjs-sphinxdoc

 -- Jan Dittberner <jandd@debian.org>  Sat, 04 Feb 2012 16:04:42 +0100

virtualenvwrapper (2.11.1-1) unstable; urgency=low

  * New upstream version.
  * refresh debian/patches/debianspecific-setup.py.patch and
    debian/patches/remove_bitbucket_support.patch
  * update debian/copyright format and copyright years

 -- Jan Dittberner <jandd@debian.org>  Sun, 08 Jan 2012 18:27:55 +0100

=== debian/control ===
Source: virtualenvwrapper
Section: python
Priority: optional
Maintainer: Jan Dittberner <jandd@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python (>= 2.5.4-1~), python-sphinx (>= 1.0.7+dfsg-1~),
 python-setuptools (>= 0.6b3)
Standards-Version: 3.9.2
Homepage: http://www.doughellmann.com/projects/virtualenvwrapper/
Vcs-Git: git://git.debian.org/collab-maint/virtualenvwrapper.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/virtualenvwrapper.git

Package: virtualenvwrapper
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, ${sphinxdoc:Depends},
 python-virtualenv, bash-completion
Description: extension to virtualenv for managing multiple virtual Python environments
 virtualenvwrapper is a set of extensions to Ian Bicking's virtualenv
 tool. The extensions include wrappers for creating and deleting
 virtual environments and otherwise managing your development
 workflow, making it easier to work on more than one project at a time
 without introducing conflicts in their dependencies.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_clean:
	rm -rf build
	find -name '._*' -delete

override_dh_auto_install:
	for lang in en es ja; do \
		sphinx-build -b html -a -c docs/sphinx -D language=$$lang \
		   docs/$$lang debian/virtualenvwrapper/usr/share/doc/virtualenvwrapper/$$lang/html; \
	done
	for lang in es ja; do \
		currentdir=$$(pwd); \
		cd debian/virtualenvwrapper/usr/share/doc/virtualenvwrapper/$$lang/html/_static; \
		rm -rf *.png *.css; \
		ln -s ../../../en/html/_static/*.png ../../../en/html/_static/*.css .; \
		cd "$$currentdir"; \
	done
	cp virtualenvwrapper.sh debian/virtualenvwrapper/etc/bash_completion.d/virtualenvwrapper
	chmod 0644 debian/virtualenvwrapper/etc/bash_completion.d/virtualenvwrapper
	dh_auto_install

override_dh_compress:
	dh_compress -i -X.rst -X.js -X.html -X.txt

override_dh_installchangelogs:
	dh_installchangelogs docs/en/history.rst

override_dh_sphinxdoc:
	dh_sphinxdoc -X searchtools.js -X translations.js
	dh_sphinxdoc /usr/share/doc/virtualenvwrapper/en/html/

%:
	dh --with python2,sphinxdoc $@

## virtualenvwrapper 3.4

=== debian/changelog ===
virtualenvwrapper (3.4-2) unstable; urgency=low

  * Fix "FTBFS with python3-sphinx: TypeError: expecting str data, not
    bytes" with debian/patches/fix-python3-sphinx-build.patch (Closes:
    #680863)
  * fix FTBFS twice in a row by removing *.egg-info in debian/rules
    clean

 -- Jan Dittberner <jandd@debian.org>  Mon, 09 Jul 2012 21:25:06 +0200

virtualenvwrapper (3.4-1) unstable; urgency=low

  * New upstream version
  * install virtualenvwrapper_lazy.sh in
    /usr/share/doc/virtualenvwrapper/examples
  * refresh debian/patches/debianspecific-setup.py.patch

 -- Jan Dittberner <jandd@debian.org>  Mon, 21 May 2012 23:11:48 +0200

virtualenvwrapper (3.3-1) unstable; urgency=low

  * New upstream version
  * change Build-Depends for dh_sphinxdoc to python-sphinx (>=
    1.0.7+dfsg) | python3-sphinx
  * bump Standards-Version to 3.9.3 (no changes)
  * refresh debian/patches/debianspecific-setup.py.patch
  * use symlinks for duplicated ajax-loader.gif
  * Fix "FTBFS if built twice in a row: virtualenvwrapper/__init__.pyc:
    binary file contents changed" by removing *.pyc in clean target
    (Closes: #641735)

 -- Jan Dittberner <jandd@debian.org>  Thu, 17 May 2012 14:24:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Jan Dittberner <jandd@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: python (>= 2.5.4-1~), python-sphinx (>= 1.0.7+dfsg-1~),
- python-setuptools (>= 0.6b3)
-Standards-Version: 3.9.2
+Build-Depends-Indep: python (>= 2.5.4-1~), python-sphinx (>= 1.0.7+dfsg) |
+ python3-sphinx, python-setuptools (>= 0.6b3)
+Standards-Version: 3.9.3
 Homepage: http://www.doughellmann.com/projects/virtualenvwrapper/
 Vcs-Git: git://git.debian.org/collab-maint/virtualenvwrapper.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/virtualenvwrapper.git

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 
 override_dh_auto_clean:
-	rm -rf build
-	find -name '._*' -delete
+	rm -rf build *.egg-info
+	find \( -name '._*' -o -name '*.pyc' \) -delete
 
 override_dh_auto_install:
 	for lang in en es ja; do \
@@ -18,6 +18,11 @@
 	done
 	cp virtualenvwrapper.sh debian/virtualenvwrapper/etc/bash_completion.d/virtualenvwrapper
 	chmod 0644 debian/virtualenvwrapper/etc/bash_completion.d/virtualenvwrapper
+	# python3 build disable because virtualenv3 is not yet available
+	#	python setup.py install --install-layout=deb \
+	#	    --root $(CURDIR)/debian/virtualenvwrapper
+	#	python3 setup.py install --install-layout=deb \
+	#	    --root $(CURDIR)/debian/virtualenvwrapper
 	dh_auto_install
 
 override_dh_compress:
@@ -31,4 +36,4 @@
 	dh_sphinxdoc /usr/share/doc/virtualenvwrapper/en/html/
 
 %:
-	dh --with python2,sphinxdoc $@
+	dh --with python2,sphinxdoc $@ --buildsystem=python_distutils

## virtualenvwrapper 4.1.1

=== debian/changelog ===
virtualenvwrapper (4.1.1-1) unstable; urgency=low

  * New upstream version
  * refresh patches
  * drop debian/patches/debianspecific-setup.py.patch
  * remove files related to multilingual documentation dropped upstream
  * debian/control:
    - add build dependency to python-pbr/python3-bpr
    - use canonical VCS-* URLs
    - bump Standards-Version to 3.9.4 (no changes)
    - add bash-completion to Build-Depends-Indep
    - move bash-completion from Depends to Recommends
  * debian/rules:
    - add PBR_VERSION and SKIP_PIP_INSTALL for pbr in setup.py
    - update sphinx doc source path
    - upstream dropped es and jp translations, same here
    - move virtualenvwrapper.sh and virtualenvwrapper_lazy.sh into
      /usr/share/virtualenvwrapper
    - add a call to dh_bash-completion
  * remove debian/virtualenvwrapper.examples
  * add debian/patches/remove-virtualenvwrapper_lazy-shebang.patch to
    remove shebang and fix path to virtualenvwrapper.sh
  * add debian/virtualenvwrapper.bash-completion with a new way to run
    the bash completion, it defaults to virtualenvwrapper_lazy.sh
    (Closes: #687808, #728373)
  * update information in debian/README.Debian
  * add debian/pydist-overrides to assist dh_python2

 -- Jan Dittberner <jandd@debian.org>  Sun, 03 Nov 2013 10:54:11 +0100

=== debian/control ===
Source: virtualenvwrapper
Section: python
Priority: optional
Maintainer: Jan Dittberner <jandd@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: bash-completion,
                     python (>= 2.5.4-1~),
                     python-pbr | python3-pbr,
                     python-setuptools (>= 0.6b3),
                     python-sphinx (>= 1.0.7+dfsg) | python3-sphinx
Standards-Version: 3.9.4
Homepage: http://www.doughellmann.com/projects/virtualenvwrapper/
Vcs-Git: git://anonscm.debian.org/collab-maint/virtualenvwrapper.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/virtualenvwrapper.git

Package: virtualenvwrapper
Architecture: all
Depends: python-virtualenv,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends}
Recommends: bash-completion
Description: extension to virtualenv for managing multiple virtual Python environments
 virtualenvwrapper is a set of extensions to Ian Bicking's virtualenv
 tool. The extensions include wrappers for creating and deleting
 virtual environments and otherwise managing your development
 workflow, making it easier to work on more than one project at a time
 without introducing conflicts in their dependencies.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -n 's/^Version: \([^-]*\).*$$/\1/p')
export PBR_VERSION=$(UPSTREAM_VERSION)
export SKIP_PIP_INSTALL=1

override_dh_auto_clean:
	rm -rf build *.egg-info
	find \( -name '._*' -o -name '*.pyc' \) -delete

override_dh_auto_install:
	sphinx-build -b html -a -c docs/source -D language=en docs/source \
	    debian/virtualenvwrapper/usr/share/doc/virtualenvwrapper/html
	# python3 build disable because virtualenv3 is not yet available
	#	python setup.py install --install-layout=deb \
	#	    --root $(CURDIR)/debian/virtualenvwrapper
	#	python3 setup.py install --install-layout=deb \
	#	    --root $(CURDIR)/debian/virtualenvwrapper
	#python setup.py install --install-layout=deb \
	#    --root $(CURDIR)/debian/virtualenvwrapper
	dh_auto_install
	mkdir -p $(CURDIR)/debian/virtualenvwrapper/usr/share/virtualenvwrapper
	mv $(CURDIR)/debian/virtualenvwrapper/usr/bin/virtualenvwrapper.sh \
	   $(CURDIR)/debian/virtualenvwrapper/usr/bin/virtualenvwrapper_lazy.sh \
	   $(CURDIR)/debian/virtualenvwrapper/usr/share/virtualenvwrapper
	rm -r $(CURDIR)/debian/virtualenvwrapper/usr/bin
	chmod -x \
	   $(CURDIR)/debian/virtualenvwrapper/usr/share/virtualenvwrapper/virtualenvwrapper.sh \
	   $(CURDIR)/debian/virtualenvwrapper/usr/share/virtualenvwrapper/virtualenvwrapper_lazy.sh
	dh_bash-completion

override_dh_compress:
	dh_compress -i -X.rst -X.js -X.html -X.txt

override_dh_installchangelogs:
	dh_installchangelogs docs/source/history.rst

override_dh_sphinxdoc:
	dh_sphinxdoc -X searchtools.js -X translations.js
	dh_sphinxdoc /usr/share/doc/virtualenvwrapper/html/

%:
	dh --with python2,sphinxdoc $@ --buildsystem=python_distutils

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/v/virtualenvwrapper/ \
 virtualenvwrapper-([\d.]+).tar.gz

## virtualenvwrapper 4.3

=== debian/changelog ===
virtualenvwrapper (4.3-1) unstable; urgency=medium

  * New upstream version.
  * upstream changed permissions of created files to safer defaults (Closes:
    #745580)
  * debian/rules: use new upstream ChangeLog
  * bump Standards-Version to 3.9.5 (no changes)
  * Fix "Update Depends for virtualenv" by changing Depends from
    python-virtualenv to virtualenv (Closes: #751191)
  * refresh patches
  * add debian/upstream/signing-key.asc and add pgpsigurlmangle option
    to debian/watch

 -- Jan Dittberner <jandd@debian.org>  Sun, 15 Jun 2014 20:56:38 +0200

## virtualenvwrapper 4.3.1

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # Documentation
 .PHONY: html
 html:
-	(cd docs && $(MAKE) html)
+	tox -e docs
 
 .PHONY: docclean
 docclean:

=== debian/changelog ===
virtualenvwrapper (4.3.1-2) unstable; urgency=medium

  * fix bashism in debian/virtualenvwrapper.bash-completion (Closes:
    #763843)

 -- Jan Dittberner <jandd@debian.org>  Sat, 04 Oct 2014 21:01:53 +0200

virtualenvwrapper (4.3.1-1) unstable; urgency=medium

  * New upstream version (Closes: #729507)

 -- Jan Dittberner <jandd@debian.org>  Fri, 26 Sep 2014 16:35:02 +0200

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
                      python-pbr | python3-pbr,
                      python-setuptools (>= 0.6b3),
                      python-sphinx (>= 1.0.7+dfsg) | python3-sphinx
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.doughellmann.com/projects/virtualenvwrapper/
 Vcs-Git: git://anonscm.debian.org/collab-maint/virtualenvwrapper.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/virtualenvwrapper.git
 
 Package: virtualenvwrapper
 Architecture: all
-Depends: python-virtualenv,
+Depends: virtualenv,
          ${misc:Depends},
          ${python:Depends},
          ${sphinxdoc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	dh_compress -i -X.rst -X.js -X.html -X.txt
 
 override_dh_installchangelogs:
-	dh_installchangelogs docs/source/history.rst
+	dh_installchangelogs ChangeLog
 
 override_dh_sphinxdoc:
 	dh_sphinxdoc -X searchtools.js -X translations.js

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://pypi.python.org/packages/source/v/virtualenvwrapper/ \
 virtualenvwrapper-([\d.]+).tar.gz

## virtualenvwrapper 4.8.4

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	@echo "upload         - upload a new release to PyPI"
 	@echo "develop        - install development version"
 	@echo "test           - run the test suite"
-	@echo "test-quick     - run the test suite for bash and one version of Python ($(PYTHON26))"
+	@echo "test-quick     - run the test suite for bash and one version of Python ($(PYTHON27))"
 
 .PHONY: sdist
 sdist: html

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/virtualenvwrapper.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/virtualenvwrapper.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/virtualenvwrapper"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/virtualenvwrapper"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/requirements.txt ===
# sphinxcontrib-bitbucket
# sphinx>=1.1.2,!=1.2.0,!=1.3b1,<1.3
sphinx

=== debian/changelog ===
virtualenvwrapper (4.8.4-4) unstable; urgency=medium

  * Fix "virtualenvwrapper incorrectly dropped virtualenv dependency"
    by adding it back to the virtualenvwrapper binary package (Closes:
    #939299)
  * Fix "no man pages" by applying the patch by Diane Trout and updating the
    patch content for the current package version (Closes: #615267)
  * command 'allvirtualenvs' is provided by upstream release 4.8.4 (Closes:
    #932923)
  * Fix "bash completion lacks testing for availability" by adding
    availability tests for the virtualenvwrapper scripts (Closes: #857374)

 -- Jan Dittberner <jandd@debian.org>  Tue, 03 Sep 2019 18:09:47 +0200

virtualenvwrapper (4.8.4-3) unstable; urgency=medium

  * Re-upload to unstable

 -- Jan Dittberner <jandd@debian.org>  Sat, 31 Aug 2019 14:17:10 +0200

virtualenvwrapper (4.8.4-2) experimental; urgency=medium

  * add Breaks/Replaces virtualenvwrapper (<< 4.8) to virtualenvwrapper-doc
    and python3-virtualenvwrapper (Closes: #936069)
  * upload to unstable without Python2 support (Closes: #938786)

 -- Jan Dittberner <jandd@debian.org>  Sat, 31 Aug 2019 13:55:48 +0200

virtualenvwrapper (4.8.4-1) experimental; urgency=medium

  [ Joel Cross ]
  * Add Python 3 support by splitting into multiple packages (Closes: #760080)
  * Bump Debhelper and standards version
  * Build using pybuild
  * Update Vcs-Git/Vcs-Browser fields in d/control
  * Patches: Correctly decode bytestring in fix-python3-sphinx-build.patch
  * Patches: Actually remove shebang in
    remove-virtualenvwrapper_lazy-shebang.patch

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Nicholas D Steeves ]
  * d/control: Drop python-virtualenvwrapper, the Python 2 variant of this
    package which depends on cruft package python-stevedore (Closes: #933822)
  * d/rules: Drop operations on non-existent python-virtualenvwrapper.
  * d/control: Drop python2 dependencies.
  * d/rules: No longer build "--with python2".
  * d/README.Debian: Debian's virtualenv package now supports Python 3, so
    drop misleading info that says otherwise.
  * Add 0004-Use-Python-3-everywhere.patch; Fixes ftbfs caused by the py2 drop.

  [ Jan Dittberner ]
  * New upstream version (Closes: #729306, #805877)
  * fix previous changelog entry's bug number
  * refresh patches
  * Install wrapper scripts via dh_install
  * Adapt debian/watch to new pypi.org
  * remove unusable upstream signing key
  * use macros from /usr/share/dpkg/pkg-info.mk instead of parsing dpkg-
    parsechangelog output
  * Update debian/control and debian/copyright
  * d/control: run wrap-and-sort
  * Switch to debhelper 12 compatibility
  * d/control: bump Standards-Version to 4.4.0 (no changes)
  * Refresh patches, drop d/patches/fix-python3-sphinx-build.patch
  * update d/patches/0004-Use-Python-3-everywhere.patch to use Python 3
    in virtualenvwrapper.sh

 -- Jan Dittberner <jandd@debian.org>  Tue, 20 Aug 2019 17:26:21 +0200

=== debian/control ===
Source: virtualenvwrapper
Section: python
Priority: optional
Maintainer: Jan Dittberner <jandd@debian.org>
Build-Depends: debhelper (>= 12), debhelper-compat (=12), dh-python
Build-Depends-Indep: bash-completion,
                     python3-all,
                     python3-pbr,
                     python3-setuptools (>= 0.6b3),
                     python3-sphinx
Standards-Version: 4.4.0
Homepage: https://virtualenvwrapper.readthedocs.io/en/latest/
Vcs-Git: https://salsa.debian.org/debian/virtualenvwrapper.git
Vcs-Browser: https://salsa.debian.org/debian/virtualenvwrapper
Testsuite: autopkgtest-pkg-python

Package: python3-virtualenvwrapper
Architecture: all
Depends: python3-virtualenv, ${misc:Depends}, ${python3:Depends}
Breaks: virtualenvwrapper (<< 4.8)
Replaces: virtualenvwrapper (<< 4.8)
Recommends: virtualenvwrapper
Description: extension to virtualenv for managing multiple environments (Py3)
 virtualenvwrapper is a set of extensions to Ian Bicking's virtualenv
 tool. The extensions include wrappers for creating and deleting
 virtual environments and otherwise managing your development
 workflow, making it easier to work on more than one project at a time
 without introducing conflicts in their dependencies.
 .
 This package installs the library for Python 3.

Package: virtualenvwrapper
Architecture: all
Depends: python3-virtualenvwrapper, virtualenv, ${misc:Depends}
Recommends: bash-completion
Suggests: virtualenvwrapper-doc
Description: extension to virtualenv for managing multiple environments
 virtualenvwrapper is a set of extensions to Ian Bicking's virtualenv
 tool. The extensions include wrappers for creating and deleting
 virtual environments and otherwise managing your development
 workflow, making it easier to work on more than one project at a time
 without introducing conflicts in their dependencies.

Package: virtualenvwrapper-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Breaks: virtualenvwrapper (<< 4.8)
Replaces: virtualenvwrapper (<< 4.8)
Description: extension to virtualenv for managing multiple environments (docs)
 virtualenvwrapper is a set of extensions to Ian Bicking's virtualenv
 tool. The extensions include wrappers for creating and deleting
 virtual environments and otherwise managing your development
 workflow, making it easier to work on more than one project at a time
 without introducing conflicts in their dependencies.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export PBR_VERSION=$(DEB_VERSION_UPSTREAM)
export SKIP_PIP_INSTALL=1

VERBOSE=1
export PYBUILD_NAME=virtualenvwrapper

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build *.egg-info

override_dh_auto_build:
	dh_auto_build
	python3 -m sphinx -b html -a -c docs/source -D language=en docs/source \
		build/html
	python3 -m sphinx -b man -a -c docs/source -D language=en docs/source \
		build/man

override_dh_auto_install:
	dh_auto_install
	# Remove bin files from Python packages
	rm -rv $(CURDIR)/debian/python3-virtualenvwrapper/usr/bin
	dh_bash-completion

override_dh_compress:
	dh_compress -i -X.rst -X.js -X.html -X.txt

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_sphinxdoc:
	dh_sphinxdoc -X searchtools.js -X translations.js
	dh_sphinxdoc /usr/share/doc/virtualenvwrapper/html/

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

=== debian/watch ===
version=4
opts=pgpmode=none \
https://pypi.org/simple/virtualenvwrapper/ \
https://files\.pythonhosted\.org/.*/virtualenvwrapper-([\d.]+)\.tar\.gz#sha256.*
